pushd
@echo off
echo Doing FX...
cd \gamegear\barbie\code\fx
make fx.mak
IF ERRORLEVEL 1 GOTO ERR

echo Doing BARBIE...
cd \gamegear\barbie\code\main
make main.mak
IF ERRORLEVEL 1 GOTO ERR

echo Doing SEGA...
cd \gamegear\barbie\code\init
make sega.mak
IF ERRORLEVEL 1 GOTO ERR

echo Doing GFX...
cd \gamegear\barbie\code\gfx
make gfx.mak
IF ERRORLEVEL 1 GOTO ERR

echo Assembling OBJECTS...
cd \gamegear\barbie\code\objects
make objects.mak
IF ERRORLEVEL 1 GOTO ERR

rem LINKING:
@echo linking now...
cd \gamegear\barbie\code
make nnl.mak
IF ERRORLEVEL 1 GOTO ERR

@ECHO download all
call z.bat

echo
popd	

GOTO :END

:ERR
BEEP /F400 /D2 /W1 /R3
:END
